import { UmbLitElement } from '../../../core/lit-element/index.js';
export declare class UmbContentTypeWorkspaceEditorHeaderElement extends UmbLitElement {
    #private;
    private _name?;
    private _alias?;
    private _description?;
    private _icon?;
    private _isNew?;
    constructor();
    private _handleIconClick;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-content-type-workspace-editor-header': UmbContentTypeWorkspaceEditorHeaderElement;
    }
}
